Bug 1124851 - WebSocketProxy vdcoption requires a restart to become effective
Summary: WebSocketProxy vdcoption requires a restart to become effective
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: ---
Hardware: Unspecified
OS: Unspecified
low
low vote
Target Milestone: ovirt-3.6.3
: 3.6.3
Assignee: Marek Libra
QA Contact: Pavel Stehlik
URL:
Whiteboard: virt
Depends On: 1284409
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 13:03 UTC by Simone Tiraboschi
Modified: 2016-02-02 10:37 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: The WebSocketProxy VDC option(and a few others) can be updated without need to restart the engine. Reason: Admin can change simple configuration without restarting the engine. Result: Steps to reload the configuration on-the-fly: - set: engine-config -s WebSocketProxy=NEW_VALUE - refresh cache via REST API POST call, i.e.: curl --silent --insecure --request POST --header "Accept: application/xml" --header "Content-Type: application/xml" --user "admin@internal:PWD" "http://localhost:8080/ovirt-engine/api/reloadconfigurations" --data '<action/>' - refresh GUI: Ctrl+R Support for reloading VDC options on-the-fly will be most probably dropped in oVirt 4.0.
Clone Of:
Environment:
Last Closed: 2016-02-02 10:37:24 UTC
oVirt Team: Virt
michal.skrivanek: ovirt-3.6.z?
ylavi: planning_ack?
rule-engine: devel_ack+
ylavi: testing_ack?


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 48856 master MERGED engine: WebSocketProxy set to be reloadable Never
oVirt gerrit 49552 ovirt-engine-3.6 MERGED engine: WebSocketProxy set to be reloadable Never

Description Simone Tiraboschi 2014-07-30 13:03:34 UTC
Description of problem:
I'm using 'engine-config -s WebSocketProxy=...' to change a VdcOption for the WebSocketProxy location.

Straight off 'engine-config -g WebSocketProxy' reports the new value.
I'll expect that the web interface suddenly points to the new host trying to open a spice console via websocket proxy  but it still uses the old values.
I have to reload the whole engine to use the new value.


Version-Release number of selected component (if applicable):
oVirt 3.5 beta2

How reproducible:
100%

Steps to Reproduce:
1. on the engine host, use the command 'engine-config -s WebSocketProxy=<mynewhost>' to have the engine pointing to another host when the user open a VM console via websocket proxy
2. check the result via 'engine-config -g WebSocketProxy'
3. check where the engine points when the user try to open a vm web console via the websocket proxy (it's the value of host parameter on similar link: https://f19t5.localdomain/ovirt-engine/services/spicehtml5-main.html?host=f19t6.localdomain&port=6100)

Actual results:
engine web admin console still try to connect the websocket proxy at the previous address till I restart the whole engine. 

Expected results:
the property becomes soon effective and the engine uses the new value.

Additional info:

Comment 1 Yedidyah Bar David 2014-07-30 13:18:52 UTC
Note that this isn't specific to this key - see [1].

Didn't find an existing bug for this feature - if you find one, you can close as duplicate.

[1] http://www.ovirt.org/Features/ReloadableConfiguration

Comment 2 Oved Ourfali 2015-04-12 09:20:30 UTC
Keys can either be set as reloadable, or not.
Once they are set, one needs to issue an API call to /api/reloadConfigurations in order for the reload to occur.

So, the bug shouldn't be on all configuration entries, but only to ones that aren't reloadable.

So, in case of web socket proxy, virt team should determine whether it should be reloadable or not, and whether something needs to be done with it.

Moving back to virt.

Comment 3 Michal Skrivanek 2015-05-06 10:36:05 UTC
currently it's not reloadable, I don't see any reason why it can't be...

Comment 4 Marek Libra 2015-11-20 09:39:30 UTC
WebSocketProxy vdc_option has been set to Reloadable.

To take effect without restarting the engine:
- set: engine-config -s WebSocketProxy=NEW_VALUE

- refresh cache via REST API POST call, i.e.:
 curl --silent --insecure --request POST --header "Accept: application/xml" --header "Content-Type: application/xml" --user "admin@internal:PWD" "http://localhost:8080/ovirt-engine/api/reloadconfigurations" --data '<action/>'

- refresh GUI: Ctrl+R

Since the 'reload' action is not recently implemented in the engine-config,
these steps for reloading the configuration are added to the engine-config's man page and the usage() help message to improve user experience.

Comment 5 Marek Libra 2015-11-23 09:42:50 UTC
From the discussion with the infra team: the Reloadable options are recently not supported, maybe in a future release.
Handing the bug over to infra.

Comment 6 Oved Ourfali 2015-11-23 09:45:39 UTC
We're not gonna make it reloadable.
Closing it as WONTFIX.

Comment 7 Michal Skrivanek 2015-11-25 08:51:38 UTC
current REST API support for config reload is enough, and it works. moving back to virt to get in a simple fix as per comment #2

this is not really an RFE, it should have been like that since beginning and it does not require any real code change

Comment 8 Oved Ourfali 2015-11-25 08:54:02 UTC
(In reply to Michal Skrivanek from comment #7)
> current REST API support for config reload is enough, and it works. moving
> back to virt to get in a simple fix as per comment #2
> 
> this is not really an RFE, it should have been like that since beginning and
> it does not require any real code change

As specified, we're deprecating it.
You want to rely on it - your call. It won't be there in 4.0 for reasons I've described in the RFE related to reloaded configuration.

Comment 9 Michal Skrivanek 2015-11-25 10:00:16 UTC
I want to fix a wrongly designated parameter
Note that from API point of view you need one release to deprecate, then remove in the next one.

Comment 10 Red Hat Bugzilla Rules Engine 2015-11-25 10:13:09 UTC
This request has been proposed for two releases. This is invalid flag usage. The ovirt-future release flag has been cleared. If you wish to change the release flag, you must clear one release flag and then set the other release flag to ?.

Comment 11 Red Hat Bugzilla Rules Engine 2016-01-28 12:10:09 UTC
Bug tickets that are moved to testing must have target release set to make sure tester knows what to test. Please set the correct target release before moving to ON_QA.

Comment 12 Red Hat Bugzilla Rules Engine 2016-01-28 12:14:00 UTC
Bug tickets that are moved to testing must have target release set to make sure tester knows what to test. Please set the correct target release before moving to ON_QA.

Comment 13 Red Hat Bugzilla Rules Engine 2016-01-28 12:18:23 UTC
Bug tickets that are moved to testing must have target release set to make sure tester knows what to test. Please set the correct target release before moving to ON_QA.

Comment 14 Red Hat Bugzilla Rules Engine 2016-01-28 12:21:42 UTC
Bug tickets that are moved to testing must have target release set to make sure tester knows what to test. Please set the correct target release before moving to ON_QA.

Comment 15 Red Hat Bugzilla Rules Engine 2016-01-28 12:24:09 UTC
Bug tickets that are moved to testing must have target release set to make sure tester knows what to test. Please set the correct target release before moving to ON_QA.

Comment 16 Pavel Stehlik 2016-02-02 10:37:24 UTC
Closing older BZs, if still happened, please reopen.


Note You need to log in before you can comment on or make changes to this bug.